protocols / TwoPartyDealProtocol / Fixer

# Fixer

`class Fixer<T : FixableDealState> : Secondary<StateRef>`

One side of the fixing protocol for an interest rate swap, but could easily be generalised further.

Do not infer too much from the name of the class. This is just to indicate that it is the "side" of the protocol that is run by the party with the fixed leg of swap deal, which is the basis for decided who does what in the protocol.

### Constructors

<init> | `Fixer(otherSide: SingleMessageRecipient, timestampingAuthority: Party, dealToFix: StateAndRef<T>, sessionID: Long, replacementProgressTracker: ProgressTracker? = null)` One side of the fixing protocol for an interest rate swap, but could easily be generalised further.

### Properties

dealToFix | `val dealToFix: StateAndRef<T>`
progressTracker | `open val progressTracker: ProgressTracker` Override this to provide a ProgressTracker. If one is provided and stepped, the framework will do something helpful with the progress reports. If this protocol is invoked as a sub-protocol of another, then the tracker will be made a child of the current step in the parent. If its null, this protocol doesnt track progress.
replacementProgressTracker | `val replacementProgressTracker: ProgressTracker?`

### Inherited Properties

otherSide | `val otherSide: SingleMessageRecipient`
sessionID | `val sessionID: Long`
timestampingAuthority | `val timestampingAuthority: Party`

### Functions

assembleSharedTX | `open fun assembleSharedTX(handshake: Handshake<StateRef>): <ERROR CLASS><TransactionBuilder, List<PublicKey>>`
createTracker | `fun createTracker(): ProgressTracker`
validateHandshake | `open fun validateHandshake(handshake: Handshake<StateRef>): Handshake<StateRef>`

### Inherited Functions

call | `open fun call(): SignedTransaction` This is where you fill out your business logic.